/*
 * TipoLembrete.java
 *
 * Created on February 5, 2007, 6:28 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.lembretes;

import com.evolute.utils.data.IDObject;

/**
 *
 * @author lflores
 */
public class TipoLembrete
		implements IDObject, Comparable
{
	protected Integer id;
	protected String codigo;
	protected String descricao;
	protected Integer ordem;
	
	/** Creates a new instance of TipoLembrete */
	public TipoLembrete( Integer id, String codigo, String descricao,
							Integer ordem )
	{
		this.id = id;
		this.codigo = codigo;
		this.descricao = descricao;
		this.ordem = ordem;
	}
	
	public Integer getID()
	{
		return id;
	}
	
	protected String getCodigo()
	{
		return codigo;
	}
	
	protected String getDescricao()
	{
		return descricao;
	}
	
	protected Integer getOrdem()
	{
		return ordem;
	}
	
	public int compareTo( Object other )
	{
		if( !( other instanceof TipoLembrete ) )
		{
			return 0;
		}
		TipoLembrete otl = ( TipoLembrete ) other;
		return getOrdem().compareTo( otl.getOrdem() );
	}
}
